# CODE DE CONDUITE / CODE OF CONDUCT
[Français](CODE-OF-CONDUCT.md#fr) / [English](CODE-OF-CONDUCT.md#en)

## FR

### Notre engagement

Dans l’intérêt de favoriser un environnement ouvert et accueillant, nous nous engageons, en tant que responsables et en tant que personnes contribuant à ce projet, à faire de la participation une expérience exempte de harcèlement pour tout le monde, quel que soit le niveau d’expérience, le sexe, l’identité ou l’expression de genre, l’orientation sexuelle, le handicap, l’apparence personnelle, la taille physique, l’origine ethnique, l'âge, la religion ou la nationalité.

### Nos critères

Exemples de comportements qui contribuent à créer un environnement positif :

- L’utilisation d’un langage ouvert et accueillant ; 
- Le respect des différents points de vue et expériences vécues ; 
- Accepter poliment les critiques constructives ; 
- Se concentrer sur ce qui est meilleur pour la communauté ; 
- Faire preuve d’empathie envers les autres membres de la communauté.

Exemples de comportements non acceptables :

- Les spams ou messages à but publicitaire ; 
- L’utilisation de langage ou d’imagerie sexualisés et les avances sexuelles ; 
- Le trolling, les commentaires insultants ou désobligeants, et les attaques personnelles ou d’ordre politique ; 
- Le harcèlement en public ou en privé ;
- La publication d’informations privées de tierces personnes, telles que des adresses physiques ou électroniques, sans permission explicite ; 
- Toute conduite qui pourrait être raisonnablement considérée comme inappropriée dans le milieu professionnel.

### Nos responsabilités

Nous nous engageons à étudier les problèmes qui nous sont signalés par le biais des issues du dépôt public [attestation-couvre-feu-covid-19](https://github.com/LAB-MI/attestation-couvre-feu-covid-19/issues). Nous acceptons les contributions par le biais de ces issues ou des pulls requests formulées sur ce même dépôt.

Compte tenu de la durée de vie prévisible du générateur d’attestation de déplacement ou de voyage, et afin de rester dans une notion d’aménagement raisonnable, nous ne pourrons prendre en compte l’ensemble des propositions d’améliorations formulées. 

Seront privilégiées et traiter prioritairement par l’équipe projet :

- Les corrections du bugs ;
- Les corrections liées aux problèmes d’accessibilité (conformément aux exigences définies par le [référentiel général d’amélioration de l'accessibilité](https://www.numerique.gouv.fr/publications/rgaa-accessibilite/)).

Pour des raisons tenant à l’organisation du projet, les pull requests ne seront pas validées sur le dépôt public. Elles pourront être reprises par l’équipe projet afin d’être intégrées dans un dépôt privé au sein duquel est développé et maintenu la branche principale du projet.

Nous nous réservons le droit et la responsabilité de supprimer, modifier ou rejeter les commentaires, commits, code, questions et autres contributions qui ne respectent pas ce code de conduite, ou de bannir temporairement ou définitivement quiconque, suite à des comportements jugés inappropriés, menaçants, injurieux, ou nuisibles.

### Objectifs

Ce code de conduite s’applique à la fois au sein des espaces du projet ainsi que dans les espaces publics lorsqu’un membre représente le projet ou sa communauté. Font parties des exemples de représentation d’un projet ou d’une communauté le fait d’utiliser une adresse email propre au projet, de poster sur les réseaux sociaux avec un compte officiel, ou d’intervenir pour représenter le projet au cours d’un événement en-ligne ou hors-ligne. 

### Application

Les cas de comportements abusifs, harcelants ou tout autre comportement inacceptable peuvent être signalés en contactant l'équipe du projet à l’adresse beta@interieur.gouv.fr. Toutes les plaintes seront examinées et étudiées et se traduiront par une réponse appropriée aux circonstances. L'équipe du projet s’engage à garder confidentielles les informations de la personne qui remonte un incident. 

Les membres du projet qui ne suivent ou qui n’appliquent pas ce code de conduite s’exposent temporairement ou de façon permanente à un blocage et un report pour abus.

### Attribution

Ce Code de Conduite est adapté du Contributor Covenant, version 1.4, disponible à https://www.contributor-covenant.org/fr/version/1/4/code-of-conduct 

## EN

### Our Pledge

In the interest of fostering an open and welcoming environment, we as contributors and maintainers pledge to make participation in our project and our community a harassment-free experience for everyone, regardless of age, body size, disability, ethnicity, sex characteristics, gender identity and expression, level of experience, education, socio-economic status, nationality, personal appearance, race, religion, or sexual identity and orientation.

### Our Standards

Examples of behavior that contributes to creating a positive environment include :

- Using welcoming and inclusive language ; 
- Being respectful of differing viewpoints and experiences ; 
- Gracefully accepting constructive criticism ; 
- Focusing on what is best for the community ;
- Showing empathy towards other community members.

Examples of unacceptable behavior by participants include :

- Spam or advertising messages ; 
- The use of sexualized language or imagery and unwelcome sexual attention ; 
- Trolling, insulting/derogatory comments, and personal or political attacks ; 
- Public or private harassment ; 
- Publishing others’ private information, such as a physical or electronic address, without explicit permission ;
- Other conduct which could reasonably be considered inappropriate in a professional setting.

### Our Responsibilities

We are committed to studying the problems that are brought to our attention through the issues of the public deposit [attestation-couvre-feu-covid-19](https://github.com/LAB-MI/attestation-couvre-feu-covid-19/issues). We accept contributions through these issues or pull requests made on this same repository.

Given the foreseeable lifetime of the displacement or travel certificate generator, and in order to remain within the concept of reasonable accommodation, we will not be able to take into account all of the suggestions for improvements made.

Will be privileged and treated as a priority by the project team :

- Bug fixes ; 
- Corrections related to accessibility problems (in accordance with the requirements defined by the [general accessibility guidelines](https://www.numerique.gouv.fr/publications/rgaa-accessibilite/)).

For reasons related to the organization of the project, pull requests will not be validated on the public repository. They can be taken up by the project team in order to be integrated into a private repository in which the main branch of the project is developed and maintained.

Project maintainers have the right and responsibility to remove, edit, or reject comments, commits, code, issues, and other contributions that are not aligned to this Code of Conduct, or to ban temporarily or permanently any contributor for other behaviors that they deem inappropriate, threatening, offensive, or harmful.

### Scope

This Code of Conduct applies within all project spaces, and it also applies when an individual is representing the project or its community in public spaces. Examples of representing a project or community include using an official project e-mail address, posting via an official social media account, or acting as an appointed representative at an online or offline event. Representation of a project may be further defined and clarified by project maintainers.

### Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior may be reported by contacting the project team at beta@interieur.gouv.fr. All complaints will be reviewed and investigated and will result in a response that is deemed necessary and appropriate to the circumstances. The project team is obligated to maintain confidentiality with regard to the reporter of an incident. Further details of specific enforcement policies may be posted separately.

Project maintainers who do not follow or enforce the Code of Conduct in good faith may face temporary or permanent repercussions as determined by other members of the project’s leadership.

### Attribution

This Code of Conduct is adapted from the Contributor Covenant, version 1.4, available at https://www.contributor-covenant.org/version/1/4/code-of-conduct.html
